package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.*;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISubInfoService extends IService<SubInfo>
{

    SubInfo findOne(Wrapper<SubInfo> wrapper);

    boolean syncSubInfo(Sub sub, String company);

    boolean syncDocument(SubDocument document, String company);

    boolean syncDoc(SubDoc document, String company);


    boolean SyncDocLog(DocLog docLog, String company);

    boolean syncTender(Tender tender, String company);

    boolean SyncTenderLog(TenderLog tenderLog, String company);
}
